%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           dlm
Version:        4.0.7
Release:        %mkrel 1
# For a breakdown of the licensing, see README.license
License:        GPLv2 and GPLv2+ and LGPLv2+
Group:          System/Kernel and hardware
Summary:        dlm control daemon and tool
URL:            https://fedorahosted.org/cluster/wiki/HomePage
Source0:        https://git.fedorahosted.org/cgit/dlm.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:  kernel-userspace-headers
BuildRequires:  pkgconfig(corosync) >= 2.0
BuildRequires:  pkgconfig(pacemaker-fencing) >= 1.1.7
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-units

Requires:       corosync >= 1.99.9

Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires(post):   rpm-helper >= 0.24.8-1
Requires(preun):  rpm-helper >= 0.24.8-1

%description
The kernel dlm requires a user daemon to control membership.

#------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
The %{libname} package contains the libraries needed to use the dlm
from userland applications.

#------------------------------------------------------------------

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------------------------
%prep
%setup -q
sed -i 's/libsystemd-daemon/libsystemd/' dlm_controld/Makefile

%build
# upstream does not require configure
# upstream does not support _smp_mflags
export CFLAGS='%{optflags}'
%make_build
%make_build -C fence

%install
%make_install LIBDIR=%{_libdir} UDEVDIR=%{_udevrulesdir}
%make_install -C fence LIBDIR=%{_libdir}

install -Dm 0644 init/dlm.service %{buildroot}%{_unitdir}/%{name}.service
install -Dm 0644 init/dlm.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_service %{name}

%files
%doc README.license
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}_controld
%{_sbindir}/%{name}_tool
%{_sbindir}/%{name}_stonith
%{_mandir}/man8/%{name}*.8.*
%{_mandir}/man5/%{name}*.5.*
%{_mandir}/man3/*%{name}*.3.*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files -n %{libname}
%{_udevrulesdir}/*-%{name}.rules
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_includedir}/lib%{name}*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jan 01 2017 daviddavid <daviddavid> 4.0.7-1.mga6
+ Revision: 1079201
- new version: 4.0.7

* Sat Jun 11 2016 daviddavid <daviddavid> 4.0.5-3.mga6
+ Revision: 1021137
- add a sysconfig file
- update summary and description

* Wed Jun 08 2016 colin <colin> 4.0.5-2.mga6
+ Revision: 1020810
- Fix systemd deps

  + tv <tv>
    - adjust BRs for latest systemd

* Sat Apr 30 2016 daviddavid <daviddavid> 4.0.5-1.mga6
+ Revision: 1008011
- new version: 4.0.5

* Thu Feb 25 2016 daviddavid <daviddavid> 4.0.4-1.mga6
+ Revision: 978880
- new version: 4.0.4
- update description

* Sat Feb 06 2016 umeabot <umeabot> 4.0.2-5.mga6
+ Revision: 940498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.2-4.mga5
+ Revision: 747615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.2-3.mga5
+ Revision: 678767
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 4.0.2-2.mga5
+ Revision: 672042
- Rebuild for new systemd

* Thu Aug 21 2014 daviddavid <daviddavid> 4.0.2-1.mga5
+ Revision: 666204
- update Url and Source link-url
- new version: 4.0.2

* Mon Dec 16 2013 danf <danf> 4.0.0-2.mga4
+ Revision: 557468
- Added missing libsystemd-daemon dependency

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - New version

* Fri Jan 11 2013 umeabot <umeabot> 3.99.5-2.mga3
+ Revision: 348833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 sander85 <sander85> 3.99.5-1.mga3
+ Revision: 296334
- usrmove
- New version: 3.99.5

* Sat Apr 28 2012 tmb <tmb> 3.99.2-3.mga2
+ Revision: 233674
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for versioned rpm-helper requires

* Mon Apr 23 2012 boklm <boklm> 3.99.2-1.mga2
+ Revision: 232960
- update release, groups, build requires, provides, post scripts, lib package names for mageia
- imported package dlm

